Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class HideRuleHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.HideRuleHandle

    public class HideRuleHandle

extends StructureHandle

Represents the handle of visibility rule. The visibility rule says when a report item should be hidden. It can be hidden based on the output type, an expression, or both. For example, the browser control is normally hidden in all output formats except HTML. A past-due item might be hidden if the account is not past due.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`HideRuleHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of visibility rule.

Method Summary
`java.lang.String` | `getExpression()` Returns the value expression of this visibility rule.
`java.lang.String` | `getFormat()` Returns the output format of this visibility rule.
`void` | `setExpression(java.lang.String expression)` Sets the value expression of this visibility rule.
`void` | `setFormat(java.lang.String format)` Sets the output format of this visibility rule.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HideRuleHandle

    public HideRuleHandle(SimpleValueHandle valueHandle,
                          int index)

  Constructs the handle of visibility rule.

  Parameters:
    `valueHandle` - the value handle for visibility rule list of one property
    `index` - the position of this visibility rule in the list

Method Detail

### getFormat

    public java.lang.String getFormat()

  Returns the output format of this visibility rule. The default value is `FORMAT_TYPE_ALL`. The possible choices are defined in `DesignChoiceConstants`and they are:
  - `FORMAT_TYPE_ALL`
  - `FORMAT_TYPE_VIEWER`
  - `FORMAT_TYPE_EMAIL`
  - `FORMAT_TYPE_PRINT`
  - `FORMAT_TYPE_PDF`
  - `FORMAT_TYPE_RTF`
  - `FORMAT_TYPE_REPORTLET`
  - `FORMAT_TYPE_EXCEL`
  - `FORMAT_TYPE_WORD`
  - `FORMAT_TYPE_POWERPOINT`
  Or can be user defined format.

  Returns:
    the output format of this visibility rule

### setFormat

    public void setFormat(java.lang.String format)
                   throws SemanticException

  Sets the output format of this visibility rule. The allowed choices are defined in `DesignChoiceConstants` and they are:
  - `FORMAT_TYPE_ALL`
  - `FORMAT_TYPE_VIEWER`
  - `FORMAT_TYPE_EMAIL`
  - `FORMAT_TYPE_PRINT`
  - `FORMAT_TYPE_PDF`
  - `FORMAT_TYPE_RTF`
  - `FORMAT_TYPE_REPORTLET`
  - `FORMAT_TYPE_EXCEL`
  - `FORMAT_TYPE_WORD`
  - `FORMAT_TYPE_POWERPOINT`
  Or can be user defined format.

  Parameters:
    `format` - the output format to set
  Throws:
    `SemanticException` - if the property is locked.

### getExpression

    public java.lang.String getExpression()

  Returns the value expression of this visibility rule.

  Returns:
    the value expression of this visibility rule

### setExpression

    public void setExpression(java.lang.String expression)

  Sets the value expression of this visibility rule.

  Parameters:
    `expression` - the value expression to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.